Visualizza: Visualizza tutto

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewFitAll and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Std ViewFitAll.svg Visualizza tutto

Nome nel codice
Std_ViewFitAll
Posizione nel menu
Visualizza → Viste standard → Visualizza tutto
Ambiente
Tutti
Avvio veloce
V F
Introdotto nella versione
-
Vedere anche
Visualizza la selezione


Descrizione

Il comando Visualizza tutto adatta la camera in modo che tutti gli oggetti siano visibili e si adattino all'interno della vista 3D attiva.

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Std ViewFitAll.svg Visualizza tutto.
    • Selezionare l'opzione Visualizza → Viste standard → Std ViewFitAll.svg Visualizza tutto dal menu.
    • Selezionare l'opzione Std ViewFitAll.svg Visualizza tutto dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: V e poi F.

Note

Script

Vedere anche: Script di base per FreeCAD

Per modificare la vista in 'visualizza tutto', usare il metodo fitAll dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.fitAll()

In alternativa, è possibile utilizzare il metodo SendMsgToActiveView dell'oggetto FreeCADGui. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewFit')